from django.db import models

class Audit(models.Model):
    id = models.IntegerField(primary_key=True)
    created_at = models.DateTimeField()
    updated_at = models.DateTimeField(blank=True, null=True)
    updated_by = models.IntegerField()
    processed_date = models.DateTimeField(blank=True, null=True)
    make = models.CharField(max_length=50)
    model = models.CharField(max_length=50)
    model_number = models.CharField(max_length=50)
    memory_size = models.CharField(max_length=50)
    unique_id = models.CharField(max_length=50)
    imei = models.CharField(max_length=50)
    meid = models.CharField(max_length=50)
    serial_number = models.CharField(max_length=50)
    grade = models.CharField(max_length=50)
    three_tier_grade = models.CharField(max_length=50)
    five_tier_grade = models.CharField(max_length=50)
    condition_notes = models.CharField(max_length=50)
    fmi = models.CharField(max_length=50)
    value = models.DecimalField(max_digits=65535, decimal_places=65535)
    battery_ratio = models.CharField(max_length=50)
    date_paid = models.DateTimeField(blank=True, null=True)
    iccid = models.CharField(max_length=50)
    audio_jack = models.CharField(max_length=50)
    back_camera = models.CharField(max_length=50)
    front_camera = models.CharField(max_length=50)
    wifi = models.CharField(max_length=50)
    keyboard = models.CharField(max_length=50)
    touchpad = models.CharField(max_length=50)
    ext_ports = models.CharField(max_length=50)
    speakers = models.CharField(max_length=50)
    microphone = models.CharField(max_length=50)
    pressure_spots = models.CharField(max_length=50)
    digitizer = models.CharField(max_length=50)
    lcd = models.CharField(max_length=50)
    water_damage = models.CharField(max_length=50)
    accelerometer = models.CharField(max_length=50)
    homebutton = models.CharField(max_length=50)
    glass_grade = models.CharField(max_length=50)
    lcd_grade = models.CharField(max_length=50)
    inactive = models.CharField(max_length=50)
    backhousing_frame_grade = models.CharField(max_length=50)
    cosmetic_test = models.CharField(max_length=50)
    device_status = models.TextField()  # This field type is a guess.
    display_grade = models.CharField(max_length=50)
    engraved = models.CharField(max_length=50)
    functional_test = models.CharField(max_length=50)
    housing_grade = models.CharField(max_length=50)
    keyboard_grade = models.CharField(max_length=50)
    lock_status = models.CharField(max_length=50)
    reference1 = models.CharField(max_length=50)
    reference2 = models.CharField(max_length=50)
    reference3 = models.CharField(max_length=50)
    reference4 = models.CharField(max_length=50)
    reference5 = models.CharField(max_length=50)
    locked = models.BooleanField()
    corner_description = models.CharField(max_length=50)
    housing_description = models.CharField(max_length=50)
    lcd_description = models.CharField(max_length=50)
    glass_description = models.CharField(max_length=50)
    device_type = models.ForeignKey('DeviceType', models.DO_NOTHING)
    po = models.CharField(max_length=50)
    battery = models.CharField(max_length=50)
    charging_port = models.CharField(max_length=50)
    device_type_0 = models.CharField(db_column='device_type', max_length=50)  # Field renamed because of name conflict.
    tracking_number = models.CharField(max_length=50)
    approved = models.BooleanField()
    tracked_box = models.ForeignKey('TrackedBox', models.DO_NOTHING)
    tracking = models.ForeignKey('Tracking', models.DO_NOTHING)
    program = models.ForeignKey('Program', models.DO_NOTHING)
    request = models.ForeignKey('Request', models.DO_NOTHING)
    image_list = models.TextField()  # This field type is a guess.
    images = models.TextField()  # This field type is a guess.

    class Meta:
        managed = False
        db_table = 'audit'
